Index: external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Instrumentation/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,63 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Scalar
+
+INCS=	ADCE.h \
+	AlignmentFromAssumptions.h \
+	BDCE.h \
+	CallSiteSplitting.h \
+	ConstantHoisting.h \
+	CorrelatedValuePropagation.h \
+	DCE.h \
+	DeadStoreElimination.h \
+	DivRemPairs.h \
+	EarlyCSE.h \
+	Float2Int.h \
+	GVN.h \
+	GVNExpression.h \
+	GuardWidening.h \
+	IVUsersPrinter.h \
+	IndVarSimplify.h \
+	InductiveRangeCheckElimination.h \
+	InstSimplifyPass.h \
+	JumpThreading.h \
+	LICM.h \
+	LoopAccessAnalysisPrinter.h \
+	LoopDataPrefetch.h \
+	LoopDeletion.h \
+	LoopDistribute.h \
+	LoopIdiomRecognize.h \
+	LoopInstSimplify.h \
+	LoopLoadElimination.h \
+	LoopPassManager.h \
+	LoopPredication.h \
+	LoopRotation.h \
+	LoopSimplifyCFG.h \
+	LoopSink.h \
+	LoopStrengthReduce.h \
+	LoopUnrollAndJamPass.h \
+	LoopUnrollPass.h \
+	LowerAtomic.h \
+	LowerExpectIntrinsic.h \
+	LowerGuardIntrinsic.h \
+	MemCpyOptimizer.h \
+	MergedLoadStoreMotion.h \
+	NaryReassociate.h \
+	NewGVN.h \
+	PartiallyInlineLibCalls.h \
+	Reassociate.h \
+	RewriteStatepointsForGC.h \
+	SCCP.h \
+	SROA.h \
+	SimpleLoopUnswitch.h \
+	SimplifyCFG.h \
+	Sink.h \
+	SpeculateAroundPHIs.h \
+	SpeculativeExecution.h \
+	TailRecursionElimination.h
+
+INCSDIR=	/usr/include/llvm/Transforms/Scalar
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Scalar/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,55 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Utils
+
+INCS=	ASanStackFrameLayout.h \
+	AddDiscriminators.h \
+	BasicBlockUtils.h \
+	BreakCriticalEdges.h \
+	BuildLibCalls.h \
+	BypassSlowDivision.h \
+	CallPromotionUtils.h \
+	Cloning.h \
+	CodeExtractor.h \
+	CtorUtils.h \
+	EntryExitInstrumenter.h \
+	EscapeEnumerator.h \
+	Evaluator.h \
+	FunctionComparator.h \
+	FunctionImportUtils.h \
+	GlobalStatus.h \
+	ImportedFunctionsInliningStatistics.h \
+	IntegerDivision.h \
+	LCSSA.h \
+	LibCallsShrinkWrap.h \
+	Local.h \
+	LoopRotationUtils.h \
+	LoopSimplify.h \
+	LoopUtils.h \
+	LoopVersioning.h \
+	LowerInvoke.h \
+	LowerMemIntrinsics.h \
+	Mem2Reg.h \
+	ModuleUtils.h \
+	NameAnonGlobals.h \
+	OrderedInstructions.h \
+	PredicateInfo.h \
+	PromoteMemToReg.h \
+	SSAUpdater.h \
+	SSAUpdaterBulk.h \
+	SSAUpdaterImpl.h \
+	SanitizerStats.h \
+	SimplifyIndVar.h \
+	SimplifyLibCalls.h \
+	SplitModule.h \
+	SymbolRewriter.h \
+	UnifyFunctionExitNodes.h \
+	UnrollLoop.h \
+	VNCoercion.h \
+	ValueMapper.h
+
+INCSDIR=	/usr/include/llvm/Transforms/Utils
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Utils/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
Index: external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile
diff -N external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,10 @@
+#	$NetBSD: Makefile,v 1.43 2018/07/17 18:55:27 joerg Exp $
+
+.include <bsd.init.mk>
+
+.PATH:	${LLVM_SRCDIR}/include/llvm/Transforms/Vectorize
+
+INCS=		LoopVectorizationLegality.h LoopVectorize.h SLPVectorizer.h
+INCSDIR=	/usr/include/llvm/Transforms/Vectorize
+
+.include <bsd.prog.mk>
Index: external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile.inc
===================================================================
RCS file: external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile.inc
diff -N external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile.inc
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ external/bsd/llvm/include/llvm-c/Transforms/Vectorize/Makefile.inc	26 Dec 2018 06:27:02 -0000
@@ -0,0 +1,3 @@
+#	$NetBSD: Makefile.inc,v 1.3 2013/10/14 01:37:39 joerg Exp $
+
+.include "${.PARSEDIR}/../Makefile.inc"
